Create address
curl --request POST \
--url https://api.sandbox.tesouro.com/finops/v1/counterparts/{counterpart_id}/addresses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-finops-version: <x-finops-version>' \
--header 'x-organization-id: <x-organization-id>' \
--data '
{
"city": "New York",
"country": "US",
"line1": "456 Fifth Avenue",
"postal_code": "10001",
"line2": "<string>",
"state": "<string>"
}
'import requests
url = "https://api.sandbox.tesouro.com/finops/v1/counterparts/{counterpart_id}/addresses"
payload = {
"city": "New York",
"country": "US",
"line1": "456 Fifth Avenue",
"postal_code": "10001",
"line2": "<string>",
"state": "<string>"
}
headers = {
"x-finops-version": "<x-finops-version>",
"x-organization-id": "<x-organization-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-finops-version': '<x-finops-version>',
'x-organization-id': '<x-organization-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
city: 'New York',
country: 'US',
line1: '456 Fifth Avenue',
postal_code: '10001',
line2: '<string>',
state: '<string>'
})
};
fetch('https://api.sandbox.tesouro.com/finops/v1/counterparts/{counterpart_id}/addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"city": "New York",
"counterpart_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"country": "US",
"line1": "456 Fifth Avenue",
"postal_code": "10001",
"line2": "<string>",
"state": "<string>"
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": {
"message": "<string>"
}
}Counterpart addresses
Create address
POST
/
finops
/
v1
/
counterparts
/
{counterpart_id}
/
addresses
Create address
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The ID of the entity that owns the requested resource.
Example:
"9d2b4c8f-2087-4738-ba91-7359683c49a4"
Path Parameters
Body
application/json
Address information.
City name.
Maximum string length:
255Example:
"New York"
Two-letter ISO country code (ISO 3166-1 alpha-2).
Available options:
AF, AX, AL, DZ, AS, AD, AO, AI, AQ, AG, AR, AM, AW, AU, AT, AZ, BS, BH, BD, BB, BY, BE, BZ, BJ, BM, BT, BO, BA, BW, BV, BR, IO, BN, BG, BF, BI, KH, CM, CA, IC, CV, KY, CF, EA, TD, CL, CN, CX, CC, CO, KM, CG, CD, CK, CR, CI, HR, CU, CY, CZ, DK, DJ, DM, DO, EC, EG, SV, GQ, ER, EE, SZ, ET, FK, FO, FJ, FI, FR, GF, PF, TF, GA, GM, GE, DE, GH, GI, GR, GL, GD, GP, GU, GT, GG, GN, GW, GY, HT, HM, VA, HN, HK, HU, IS, IN, ID, IR, IQ, IE, IM, IL, IT, JM, JP, JE, JO, KZ, KE, KI, KP, KR, KW, KG, LA, LV, LB, LS, LR, LY, LI, LT, LU, MO, MG, MW, MY, MV, ML, MT, MH, MQ, MR, MU, YT, MX, FM, MD, MC, MN, ME, MS, MA, MZ, MM, NA, NR, NP, NL, AN, NC, NZ, NI, NE, NG, NU, NF, MP, MK, NO, OM, PK, PW, PS, PA, PG, PY, PE, PH, PN, PL, PT, PR, QA, RE, RO, RU, RW, SH, KN, LC, PM, VC, WS, SM, ST, SA, SN, RS, SC, SL, SG, SK, SI, SB, SO, ZA, SS, GS, ES, LK, SD, SR, SJ, SE, CH, SY, TW, TJ, TZ, TH, TL, TG, TK, TO, TT, TN, TR, TM, TC, TV, UG, UA, AE, GB, US, UM, UY, UZ, VU, VE, VN, VG, VI, WF, EH, YE, ZM, ZW, BL, BQ, CW, MF, SX Example:
"US"
Street address.
Maximum string length:
255Example:
"456 Fifth Avenue"
ZIP or postal code.
Maximum string length:
255Example:
"10001"
Additional address information (if any).
Maximum string length:
255State, region, province, or county.
Maximum string length:
255Response
Successful Response
Unique ID of the address in the system
City name.
Maximum string length:
255Example:
"New York"
ID of the counterpart that owns the address.
Two-letter ISO country code (ISO 3166-1 alpha-2).
Available options:
AF, AX, AL, DZ, AS, AD, AO, AI, AQ, AG, AR, AM, AW, AU, AT, AZ, BS, BH, BD, BB, BY, BE, BZ, BJ, BM, BT, BO, BA, BW, BV, BR, IO, BN, BG, BF, BI, KH, CM, CA, IC, CV, KY, CF, EA, TD, CL, CN, CX, CC, CO, KM, CG, CD, CK, CR, CI, HR, CU, CY, CZ, DK, DJ, DM, DO, EC, EG, SV, GQ, ER, EE, SZ, ET, FK, FO, FJ, FI, FR, GF, PF, TF, GA, GM, GE, DE, GH, GI, GR, GL, GD, GP, GU, GT, GG, GN, GW, GY, HT, HM, VA, HN, HK, HU, IS, IN, ID, IR, IQ, IE, IM, IL, IT, JM, JP, JE, JO, KZ, KE, KI, KP, KR, KW, KG, LA, LV, LB, LS, LR, LY, LI, LT, LU, MO, MG, MW, MY, MV, ML, MT, MH, MQ, MR, MU, YT, MX, FM, MD, MC, MN, ME, MS, MA, MZ, MM, NA, NR, NP, NL, AN, NC, NZ, NI, NE, NG, NU, NF, MP, MK, NO, OM, PK, PW, PS, PA, PG, PY, PE, PH, PN, PL, PT, PR, QA, RE, RO, RU, RW, SH, KN, LC, PM, VC, WS, SM, ST, SA, SN, RS, SC, SL, SG, SK, SI, SB, SO, ZA, SS, GS, ES, LK, SD, SR, SJ, SE, CH, SY, TW, TJ, TZ, TH, TL, TG, TK, TO, TT, TN, TR, TM, TC, TV, UG, UA, AE, GB, US, UM, UY, UZ, VU, VE, VN, VG, VI, WF, EH, YE, ZM, ZW, BL, BQ, CW, MF, SX Example:
"US"
Street address.
Maximum string length:
255Example:
"456 Fifth Avenue"
ZIP or postal code.
Maximum string length:
255Example:
"10001"
Additional address information (if any).
Maximum string length:
255State, region, province, or county.
Maximum string length:
255Was this page helpful?